FEOF(P)

NAME
feof - test end-of-file indicator on a stream

SYNOPSIS

#include <stdio.h>

int feof(FILE *stream);

DESCRIPTION

The feof() function shall test the end-of-file indicator for the stream pointed to by stream.

RETURN VALUE

The feof() function shall return non-zero if and only if the end-of-file indicator is set for stream.

ERRORS

No errors are defined.

The following sections are informative.

EXAMPLES

None.

APPLICATION USAGE

None.

RATIONALE

None.

FUTURE DIRECTIONS

None.

SEE ALSO

clearerr() , ferror() , fopen() , the Base Definitions volume of IEEE Std 1003.1-2001, <stdio.h>

COPYRIGHT
Portions of this text are reprinted and reproduced in electronic form from IEEE Std 1003.1, 2003 Edition, Standard for Information Technology -- Portable Operating System Interface (POSIX), The Open Group Base Specifications Issue 6, Copyright (C) 2001-2003 by the Institute of Electrical and Electronics Engineers, Inc and The Open Group. In the event of any discrepancy between this version and the original IEEE and The Open Group Standard, the original IEEE and The Open Group Standard is the referee document. The original Standard can be obtained online at http://www.opengroup.org/unix/online.html .